Bug 1033012 - Wildcard imports don't work for declared type fields
Wildcard imports don't work for declared type fields
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high
: ER6
: 6.0.0
Assigned To: Mario Fusco
Tomas Schlosser
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-21 07:19 EST by Mario Fusco
Modified: 2014-08-06 16:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:16:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-348 Major Resolved Wildcard imports don't work for declared type fields 2014-01-03 02:43:04 EST

  None (edit)
Description Mario Fusco 2013-11-21 07:19:56 EST
Using the new KIE api the following drl doesn't compile

import java.util.*
declare MyType
    l : List
end
Comment 2 Mario Fusco 2013-11-21 07:22:02 EST
Fixed by https://github.com/droolsjbpm/drools/commit/264d40cea
Comment 3 Tomas Schlosser 2014-01-03 02:47:52 EST
Verified with BRMS 6.0.1-redhat-2

Note You need to log in before you can comment on or make changes to this bug.